using System;

namespace ConsoleApp11
{
    class Program
    {
        static void Main(string[] args)
        {
            string unos = Console.ReadLine();
            char[] pocetno = unos.ToCharArray();
            char[] karakteri = unos.ToCharArray();
            int duzina = unos.Length;
            for (int i = 0; i < duzina / 2; i++)
            {
                int levo = i;

                int desno = duzina - levo - 1;
                while (levo < desno)
                {
                    if (karakteri[levo] == karakteri[desno])
                    {
                        break;
                    }
                    else
                    {
                        desno--;
                    }
                }
                for (int j = desno; j < duzina - levo - 1; j++)
                {
                    char t = karakteri[j];
                    karakteri[j] = karakteri[j + 1];
                    karakteri[j + 1] = t;
                }
            }
            int prvi = 0;
            int drugi = 0;
            bool udji = false;
            for(int r=0; r<duzina; r++)
            {
                if (karakteri[r] != pocetno[r])
                {
                    prvi = r;
                    break;
                }
            }
            for (int r = duzina-1; r >=0; r--)
            {
                if (karakteri[r] != pocetno[r])
                {
                    drugi = r;
                    break;
                }
            }
            Console.WriteLine(drugi - prvi + 1);

        }
    }
}